Please whitelist cPanel in your adblocker so that you’re able to see our version release promotions, thanks!

The Community Forums

Interact with an entire community of cPanel & WHM users!

easyapache4 and pthreads

Discussion in 'EasyApache' started by uadm, Aug 6, 2016.

  1. uadm

    uadm Well-Known Member

    Joined:
    May 19, 2003
    Messages:
    91
    Likes Received:
    0
    Trophy Points:
    156
    pthreads require enable-maintainer-zts, on easyapache3 it was a compile issue, now it's much more complicated, it's a rpm build issue. How do I approch this? Can someone write a guild how to enable apache with zts and install it on an easyapache4 system?
     
  2. JacobPerkins

    JacobPerkins Well-Known Member

    Joined:
    May 2, 2014
    Messages:
    619
    Likes Received:
    97
    Trophy Points:
    103
    cPanel Access Level:
    DataCenter Provider
    Twitter:
    Hi,

    That's pretty much the needed setup for enabling. I've got some steps written up at http://ea4.ninja, but it's sort of my notes from building out RPMs for the symlink patch and mod_cloudflare. If you're comfortable with building packages from source in general, building RPMs is easy peasy.

    I hope this helps!
     
  3. uadm

    uadm Well-Known Member

    Joined:
    May 19, 2003
    Messages:
    91
    Likes Received:
    0
    Trophy Points:
    156
    #3 uadm, Aug 7, 2016
    Last edited: Aug 7, 2016
Loading...

Share This Page

  1. This site uses cookies to help personalise content, tailor your experience and to keep you logged in if you register.
    By continuing to use this site, you are consenting to our use of cookies.
    Dismiss Notice